import axios from '@/utils/axios'
//导入导出
export default {
    /**
    * 获取导入来源
    */
    getExcelConfig(data) {
        return axios.get('/xiaoshi/common/getExcelConfig', {data})
    },
    /**
    * 添加导入任务
    */
    addImportTask(data) {
        return axios.post('/xiaoshi/importTask/addImportTask', data)
    },
    /**
    * 查询导入任务
    */
    queryImportTask(data) {
        return axios.post('/xiaoshi/importTask/queryImportTask', data)
    },

    /**
    * 任务的暂停、继续、取消
    */
    updateImportTaskState(params) {
        return axios.get('/xiaoshi/importTask/updateImportTaskState', {params})
    },

    /**
    * 检索专利
    */
    patentSelect(data) {
        // return axios.post('/xiaoshi/patentStar/select', data)
        return axios(
            {
              url: '/xiaoshi/patentStar/select',
              method: 'post',
              data: data,
              retry:true,
              
            }
          )
    },

    /**
    * 检索历史
    * 查询检索记录
    */
    queryRetrieveRecord(data) {
        return axios.post('/xiaoshi/retrieveRecord/queryRetrieveRecord', data)
    },
    /**
    * 检索历史
    * 删除检索记录
    */
    deleteRetrieveRecord(data) {
        return axios.post('/xiaoshi/retrieveRecord/deleteRetrieveRecord', data)
    },

   /**
    * 获取报告模板
    */
    queryTempleByType(data) {
        return axios.post('/xiaoshi/template/queryTempleByType', data)
    },
    /**
    * 获取报告模板
    */
    exportReport(params) {
        return axios.get('/xiaoshi/reportDocument/exportReport', {params})
    },

    /**
    * 导入专利单个栏位
    */
    refreshPatent(data) {
        return axios.post('/xiaoshi/patent/refreshPatent', data)
    },

    /**
     * 查询任务的错误信息
     * @param {*} data 
     * @returns 
     */
    getPatentImportLog(data){
        return axios.post("/xiaoshi/importTask/getPatentImportLog", data);
    },
    
}